import { OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { CmsService } from '@spartacus/core';
import { BehaviorSubject } from 'rxjs';
import { CartService } from '../../services/cart.service';
import { OrderReviewService } from '../../services/order.review';
import * as i0 from "@angular/core";
export declare class OrderReviewComponent implements OnInit {
    private cmsService;
    private cartService;
    private router;
    private orderReviewService;
    pageTitle: any;
    cartId: any;
    orderReviewParagraph: any;
    orderErrorParagraph: any;
    openPopupModal: boolean;
    cartDetails: any;
    isDesktop: boolean;
    isMobile: boolean;
    isTablet: boolean;
    listview: boolean;
    isExpandAll: boolean;
    totalPrice: any;
    breadcrumbData: any;
    showWaitCursor: BehaviorSubject<boolean>;
    orderReviewPage: boolean;
    errorModalBtn: any;
    constructor(cmsService: CmsService, cartService: CartService, router: Router, orderReviewService: OrderReviewService);
    ngOnInit(): void;
    getCartLists(): void;
    gridView(): void;
    listView(): void;
    expandAll(): void;
    contractAll(): void;
    orderPlace(): void;
    onResize(event: any): void;
    onPageRefresh(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<OrderReviewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OrderReviewComponent, "app-order-review", never, {}, {}, never, never>;
}
